Bug 115476 - LibreOffice Crash after login if quickstarter is enabled and Use Open GL disabled
Summary: LibreOffice Crash after login if quickstarter is enabled and Use Open GL disa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Quickstarter Crash
  Show dependency treegraph
 
Reported: 2018-02-05 19:31 UTC by Kevin W. Gagel
Modified: 2020-05-16 16:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["google_breakpad::ExceptionHandler::HandlePureVirtualCall()"]


Attachments
Shows the error message pop up. (5.82 KB, image/png)
2018-02-08 03:45 UTC, Kevin W. Gagel
Details
Eventlog details of crash (34.85 KB, image/png)
2018-02-08 03:46 UTC, Kevin W. Gagel
Details
GL Report (34.77 KB, text/plain)
2018-02-08 03:55 UTC, Kevin W. Gagel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin W. Gagel 2018-02-05 19:31:36 UTC
Description:
I turned on my computer and logged into it. Then a crash report came up. I have LibreOffice quickstarter set to startup on login.

Steps to Reproduce:
1.Turn computer on
2.Login
3.Submitted crash report...

Actual Results:  
Everything seems to be working

Expected Results:
Everything seems to be working.


Reproducible: Didn't try


User Profile Reset: No



Additional Info:
crashreport.libreoffice.org/stats/crash_details/2be62e1f-5a50-4098-93f7-8cd389961802.
---Paste from About---
Version: 6.0.0.3 (x64)
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 12; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Comment 1 Buovjaga 2018-02-06 10:53:39 UTC
Not reproduced with quickstarter.

Win 10 64-bit
Version: 6.0.0.3 (x64)
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group
Comment 2 Roman Kuznetsov 2018-02-06 11:29:15 UTC
don't repro on Windows 7 32 bit

Version: 6.0.0.2
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group
Comment 3 Buovjaga 2018-02-06 11:45:48 UTC Comment hidden (obsolete)
Comment 4 Driss 2018-02-06 12:02:12 UTC
not reproduced on Win 7 64bit

Version: 6.0.0.3
Comment 5 Timur 2018-02-06 12:33:41 UTC
http://crashreport.libreoffice.org/stats/signature/google_breakpad::ExceptionHandler::HandlePureVirtualCall%28%29 shows 22585 crash reports in Windowd x64, last being 6.0.0.3. And this is the only bug reported. So I'll confirm, regardless we don't have steps.
Comment 6 Xisco Faulí 2018-02-06 12:50:04 UTC
(In reply to Buovjaga from comment #3)
> Kevin: it does not crash, if you disable quickstarter?

OTOH, does it crash if OpenGL is disabled ? -> https://wiki.documentfoundation.org/OpenGL
Comment 7 Kevin W. Gagel 2018-02-08 03:40:21 UTC
(In reply to Buovjaga from comment #3)
> Kevin: it does not crash, if you disable quickstarter?

Well, it wouldn't if quickstarter were disabled. It seems to be crashing from quickstarter - or more accurately it appears to be quickstarter that is crashing. I just logged into my computer and was eventually greeted with another error message. I'll try to figure out where the logs are and where I can upload them here to add to this.
Comment 8 Kevin W. Gagel 2018-02-08 03:45:44 UTC
Created attachment 139683 [details]
Shows the error message pop up.

Started the computer today and logged into windows. After a few minutes of up time this error message popped up.
Comment 9 Kevin W. Gagel 2018-02-08 03:46:35 UTC
Created attachment 139684 [details]
Eventlog details of crash

Here are the evenlog details regarding the pop up error message.
Comment 10 Kevin W. Gagel 2018-02-08 03:55:49 UTC
Created attachment 139685 [details]
GL Report

A comment asked about Open GL so I downloaded the app and included this report.
Comment 11 Buovjaga 2018-02-08 09:52:23 UTC
(In reply to Kevin W. Gagel from comment #9)
> Created attachment 139684 [details]
> Eventlog details of crash
> 
> Here are the evenlog details regarding the pop up error message.

The faulting module is ucrtbase.dll. About the dll it is said "It's a critical part of Windows and without it being present no dynamically linked programs compiled with Visual Studio 2015 or later will run (they will crash instead)"

Kevin: did you check the OGL setting? Tools - Options - LibreOffice - View - Use OpenGL for all rendering
Comment 12 Kevin W. Gagel 2018-02-09 03:56:36 UTC
I checked the "Use Open GL..." setting. It was off (unchecked). I added check to it and restarted LibreOffice.

Oddly the error message did not show up today after I turned the computer on and logged in. I'll see how this goes and if it makes a difference or not.
Comment 13 Kevin W. Gagel 2018-02-12 20:01:15 UTC
I have not seen the error since turning on the Use Open GL setting.
Comment 14 V Stuart Foote 2018-02-23 19:15:24 UTC
Completely different issue than bug 115420 and dupes -- removing.

With original STR and quickstart & OpenGL configuration, could really use a crashreport via BreakPad automated reporting. Or it may be necessary for OP to attach the soffice.bin process to a WinDbg 64 session with Symbol File path pointing back to LO servers, and catch a "~* kp" stacktrace at crash.
Comment 15 Falcon Marly 2018-10-03 11:39:58 UTC Comment hidden (spam)
Comment 16 QA Administrators 2019-10-04 03:05:40 UTC
Dear Kevin W. Gagel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug